0
Thank you for your review
Free
Extensis Suitcase Auto-Activation has been discontinued
Email me when discounted: 

Suitcase X1 and Suitcase Server X1 provide auto-activation support for InDesign CS2 through an application plug-in file. InDesign version 4.0.1 or higher is required for the plug-in to function correctly.

Requirements

  • Mac OS X 10.3 or later, Adobe InDesign CS2 4.0.1 or later*Previously available here

Similar Software

Open Comparison
Suggest Other Similar Software
Leave a Review

Extensis Suitcase Auto-Activation User Discussion

To leave a comment, you need to be logged in.
Sort by: Time | Smiles
There are no Ratings for this App yet.
0 0

Ratings

Overall
(0)
Current Version (11.x)
(0)

Details

Downloads 4,999
Version Downloads 4,998
License Free
Date 21 Mar 2006
Platform OS X / PPC 32
Price Free
download install